%define _name ytnef
%define rev %nil

Name: lib%_name
Version: 2.0
Release: alt1

Summary: TNEF Stream Parser Library
Group: System/Libraries
License: GPL-2.0
Url: https://github.com/Yeraze/%_name

Vcs: https://github.com/Yeraze/ytnef.git
Source: https://github.com/Yeraze/%_name/archive/v%version/%_name-%version%rev.tar.gz

BuildRequires: perl-MIME-tools

%description
TNEF Stream Parser Library, used by "ytnef" to decode TNEF (winmail.dat)
streams generated by Microsoft Outlook.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %_name
Summary: TNEF Stream Reader
Group: Networking/Mail
Requires: %name = %version-%release

%description -n %_name
This package provides %_name utility to decode TNEF (winmail.dat)
streams generated by Microsoft Outlook.

%prep
%setup -n %_name-%version%rev

%build
%autoreconf
%configure --disable-static
%make_build

%install
%makeinstall_std includedir=%_includedir/%name

%check
pushd test-data
rm -rf data
export LD_LIBRARY_PATH=%buildroot%_libdir:${LD_LIBRARY_PATH}
./test.sh
popd

%files
%_libdir/%name.so.*
%doc README.md

%files devel
%_includedir/%name/
%_libdir/%name.so
%_pkgconfigdir/%name.pc

%files -n %_name
%_bindir/ytnef
%_bindir/ytnefprint
%_bindir/ytnefprocess


%changelog
* Mon Sep 20 2021 Yuri N. Sedunov <aris@altlinux.org> 2.0-alt1
- 2.0 (fixed CVE-2021-3403, CVE-2021-3404)

* Mon Jul 23 2018 Yuri N. Sedunov <aris@altlinux.org> 1.9.3-alt1
- 1.9.3 (fixed CVE-2017-9470, CVE-2017-9471, CVE-2017-9474, CVE-2017-9058,
  CVE-2017-12142, CVE-2017-12141, CVE-2017-12144)

* Wed Mar 08 2017 Yuri N. Sedunov <aris@altlinux.org> 1.9.2-alt1
- 1.9.2 (fixed CVE-2017-6306, CVE-2017-6305, CVE-2017-6304, CVE-2017-6303
  CVE-2017-6302, CVE-2017-6301, CVE-2017-6300, CVE-2017-6299, CVE-2017-6298)

* Sat Feb 25 2017 Yuri N. Sedunov <aris@altlinux.org> 1.9.1-alt1
- 1.9.1-2

* Tue Jan 24 2017 Yuri N. Sedunov <aris@altlinux.org> 1.9-alt1
- 1.9 (fixed CVE-2010-5109)

* Thu Nov 17 2016 Yuri N. Sedunov <aris@altlinux.org> 1.8-alt1
- 1.8 (new url)
- new subpackage: ytnef

* Mon Jan 12 2015 Yuri N. Sedunov <aris@altlinux.org> 1.5-alt1
- first build for Sisyphus

